Apache Tika SQLite3Parser 安全漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1449368 漏洞类型 资源管理错误
发布时间 2018-12-22 更新时间 2019-07-17
CVE编号 CVE-2018-17197 CNNVD-ID CNNVD-201812-1084
漏洞平台 N/A CVSS评分 N/A
|漏洞来源
https://www.securityfocus.com/bid/106293
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201812-1084
|漏洞详情
Apache Tika是美国阿帕奇(Apache)软件基金会的一个集成了POI(使用Java程序对Microsoft Office格式文档提供读和写功能的开源函数库)、Pdfbox(读取和创建PDF文档的纯Java类库)并为文本抽取工作提供了统一界面的内容抽取工具集合。SQLite3Parser是其中的一个SQLite解析器。 Apache Tika 1.8版本至1.19.1版本中的SQLite3Parser存在安全漏洞。攻击者可借助特制的sqlite文件或损坏的sqlite文件利用该漏洞造成拒绝服务(无限循环)。
|受影响的产品
Apache Tika 1.20
|参考资料

来源:lists.apache.org

链接:https://lists.apache.org/thread.html/7c021a4ea2037e52e74628e17e8e0e2acab1f447160edc8be0eae6d3@%3Cdev.tika.apache.org%3E